[<prev] [next>] [thread-next>] [day] [month] [year] [list]
Message-ID: <1409894927.11359.26.camel@ale.ozlabs.ibm.com>
Date: Fri, 05 Sep 2014 15:28:47 +1000
From: Michael Neuling <mikey@...ling.org>
To: Michal Marek <mmarek@...e.cz>, Ben Hutchings <ben@...adent.org.uk>
Cc: linux-kbuild@...r.kernel.org,
linuxppc-dev <linuxppc-dev@...ts.ozlabs.org>,
linux-kernel <linux-kernel@...r.kernel.org>,
Anton Blanchard <anton@...ba.org>,
Leann Ogasawara <leann.ogasawara@...onical.com>
Subject: deb-pkg: Add support for powerpc little endian
The Debian powerpc little endian architecture is called ppc64le. This
is the default architecture used by Ubuntu for powerpc.
The below checks the kernel config to see if we are compiling little
endian and sets the Debian arch appropriately.
Signed-off-by: Michael Neuling <mikey@...ling.org>
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 35d5a58..6f4a1af 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
s390*)
debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
ppc*)
- debarch=powerpc ;;
+ debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
parisc*)
debarch=hppa ;;
mips*)
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists